﻿using ProjectHotel.Entities.Enums;
using ProjectHotel.Entities;
using ProjectHotel.Repositories;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProjectHotel.Forms;

public partial class FormCleaningRoom : Form
{
    private readonly ICleaningRoomRepository _cleaningRoomRepository;

    public FormCleaningRoom(ICleaningRoomRepository cleaningRoomRepository, IRoomRepository roomRepository)
    {
        InitializeComponent();
        _cleaningRoomRepository = cleaningRoomRepository ??
        throw new ArgumentNullException(nameof(cleaningRoomRepository));
        comboBoxRoom.DataSource = roomRepository.ReadRooms();
        comboBoxRoom.DisplayMember = "Name";
        comboBoxRoom.ValueMember = "Id";
        
    }
    private void ButtonSave_Click(object sender, EventArgs e)
    {
        try
        {
            if (comboBoxRoom.SelectedIndex < 0)
            {
                throw new Exception("Имеются незаполненные поля");
            }
            _cleaningRoomRepository.CreateCleaningRoom(CleaningRoom.CreateOperation(0, (int)comboBoxRoom.SelectedValue!));
            Close();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "Ошибка при сохранении",
            MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }
    private void ButtonCancel_Click(object sender, EventArgs e) => Close();

}
