﻿using ProjectHotel.Repositories;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Unity;

namespace ProjectHotel.Forms;

public partial class FormCleaningRooms : Form
{
    private readonly IUnityContainer _container;
    private readonly ICleaningRoomRepository _cleaningRoomRepository;
    public FormCleaningRooms(IUnityContainer container, ICleaningRoomRepository cleaningRoomRepository)
    {
        InitializeComponent();
        _container = container ??
        throw new ArgumentNullException(nameof(container));
        _cleaningRoomRepository = cleaningRoomRepository ??
        throw new ArgumentNullException(nameof(cleaningRoomRepository));
    }
    private void FormCleaningRooms_Load(object sender, EventArgs e)
    {
        try
        {
            LoadList();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "Ошибка при загрузке",
            MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }
    private void ButtonAdd_Click(object sender, EventArgs e)
    {
        try
        {
            _container.Resolve<FormCleaningRoom>().ShowDialog();
            LoadList();
        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.Message, "Ошибка при добавлении", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }
    private void LoadList() => dataGridViewData.DataSource = _cleaningRoomRepository.ReadCleaningRooms();

   
}


